- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# purefa_connect – Manage replication connections between two FlashArrays

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Manage array connections to specified target array

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | FlashArray API token for admin privileged user.
connection string | Choices: sync async ← | Type of connection between arrays.
fa_url string / required |  | FlashArray management IPv4 address or Hostname.
state string | Choices: absent present ← | Create or delete array connection
target_api string |  | API token for target array
target_url string / required |  | Management IP address of remote array.

## Notes

Note

- This module requires the `purestorage` Python library

- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Create an async connection to remote array
      purefa_connect:
        target_url: 10.10.10.20
        target_api:
        connection: async
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Delete connection to remote array
      purefa_connect:
        state: absent
        target_url: 10.10.10.20
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.